ru.bitel.bgbilling.modules.inet.api.client

## Class InetDevicePanel

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - ru.bitel.common.client.AbstractBGUPanel<ru.bitel.bgbilling.client.common.ClientContext,ru.bitel.bgbilling.client.common.BGUPanel>
          - - ru.bitel.bgbilling.client.common.BGUPanel
            - - ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>
              - - ru.bitel.bgbilling.modules.inet.api.client.InetDevicePanel

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, ru.bitel.common.client.GroupParent

      public class InetDevicePanel
      extends ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>
      implements ru.bitel.common.client.GroupParent

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `InetDevicePanel.InetDeviceTableModel`

    - ### Nested classes/interfaces inherited from class ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel

      `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel.DeviceTableModel`

    - ### Nested classes/interfaces inherited from class ru.bitel.common.client.AbstractBGUPanel

      `ru.bitel.common.client.AbstractBGUPanel.AsyncAction<B>, ru.bitel.common.client.AbstractBGUPanel.DefaultAction, ru.bitel.common.client.AbstractBGUPanel.MenuAction`

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `javax.swing.JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `javax.swing.JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel

      `ACTION_DEVICE_SELECT, ACTION_DEVICE_SELECTED, currentDay, defaultDeviceTypeIds, filter, iconFolder, iconLeaf, iconNode, iconRoot, mode, MODE_EDIT, MODE_FILTER, MODE_FILTER_SOURCE, MODE_SELECT, model, rootTitle, rootTitleSuffix, selectedDevice`

    - ### Fields inherited from class ru.bitel.common.client.AbstractBGUPanel

      `CANCEL, CLOSE, DELETE, EDIT, EXPORT, ICON_DELETE, ICON_EDIT, ICON_NEW, ICON_REFRESH, IMPORT, MOVE_DOWN, MOVE_UP, NEW, OK, REFRESH, RESET`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetDevicePanel(ru.bitel.bgbilling.client.common.ClientContext ctx)`
    `InetDevicePanel(ru.bitel.bgbilling.client.common.ClientContext ctx, int mode, java.awt.event.ActionListener actionListener)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deviceDelete(int id)`
    `InetDevice` | `deviceGet(int id)`
    `void` | `deviceMove(int id, java.util.Set<java.lang.Integer> cutSet)`
    `InetDevice` | `deviceRoot(java.lang.String identifier, java.lang.String host, java.util.Set<java.lang.Integer> deviceTypeIds, java.util.Set<java.lang.Integer> deviceGroupIds, java.util.Date dateFrom, java.util.Date dateTo, java.util.Date intersectDateFrom, java.util.Date intersectDateTo, java.util.List<FilterEntityAttr> entityFilter)`
    `InetDevice` | `deviceSourceRoot()`
    `int` | `deviceUpdate(InetDevice device)`
    `static void` | `executeCommand(ru.bitel.bgbilling.client.common.ClientContext context, int invDeviceId, int inetDeviceId, java.lang.String operation, int servId, int connectionId)`
    `protected void` | `executeCommand(InetDevice device, java.lang.String operation)`
    `protected java.lang.Class<InetDevice>` | `getDeviceClass()`
    `protected java.lang.Class<InetDeviceType>` | `getDeviceTypeClass()`
    `InetDeviceService` | `getInetDeviceService()`
    `int` | `getInvDeviceId(InetDevice device)`
    `protected InetDevice` | `getLoadingStateRoot()`
    `protected java.lang.String` | `getTitle(InetDevice val, java.util.Calendar calendar)`
    `DeviceService` | `getWs()`
    `protected void` | `initActions()`
    `protected void` | `initEditor(ru.bitel.bgbilling.client.common.BGEditor editor)`
    `boolean` | `isLibrary()`
    `protected void` | `jbInit()`
    `InetDevice` | `newDevice()`
    `InetDeviceType` | `newDeviceType(int id, java.lang.String title)`
    `protected ru.bitel.bgbilling.client.common.BGUPanel` | `newMainForm(java.util.concurrent.atomic.AtomicReference<InetDevice> currentRef)`
    `protected ru.bitel.common.client.treetable.BGTreeTableModel<InetDevice>` | `newModel()`
    `protected void` | `ok()`
    `void` | `setFilter(java.util.Set<java.lang.Integer> deviceTypeIds, java.util.Set<java.lang.Integer> deviceGroupIds)`
    `protected javax.swing.JComponent` | `treeWrap(ru.bitel.bgbilling.client.common.BGFilterPane splitPane)`

    - ### Methods inherited from class ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel

      `addNotify, getIcon, getSelectedDevice, getSelectedDeviceIds, getSelectedDevices, needInterfacePanel, performDeviceSelected, shownNotify`

    - ### Methods inherited from class ru.bitel.bgbilling.client.common.BGUPanel

      `afterAsyncJbInit, beforeAsyncJbInit, build, buildAsync, getUserEmail, init, initAction, innerGetContext, openContract, openContract, processException, saveUserEmail, setParameter`

    - ### Methods inherited from class ru.bitel.common.client.AbstractBGUPanel

      `actionPerformed, getContext, performAction, performAction, performAction, performActionClose, performActionOpen`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetDevicePanel

          public InetDevicePanel(ru.bitel.bgbilling.client.common.ClientContext ctx)

    - #### InetDevicePanel

          public InetDevicePanel(ru.bitel.bgbilling.client.common.ClientContext ctx,
                                 int mode,
                                 java.awt.event.ActionListener actionListener)

  - ### Method Detail

    - #### newModel

          protected ru.bitel.common.client.treetable.BGTreeTableModel<InetDevice> newModel()

      Overrides:
        `newModel` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### isLibrary

          public boolean isLibrary()

      Overrides:
        `isLibrary` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### getTitle

          protected java.lang.String getTitle(InetDevice val,
                                              java.util.Calendar calendar)

      Overrides:
        `getTitle` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### initEditor

          protected void initEditor(ru.bitel.bgbilling.client.common.BGEditor editor)

      Overrides:
        `initEditor` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### executeCommand

          protected void executeCommand(InetDevice device,
                                        java.lang.String operation)
                                 throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `executeCommand` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### executeCommand

          public static void executeCommand(ru.bitel.bgbilling.client.common.ClientContext context,
                                            int invDeviceId,
                                            int inetDeviceId,
                                            java.lang.String operation,
                                            int servId,
                                            int connectionId)
                                     throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### initActions

          protected void initActions()

      Overrides:
        `initActions` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### jbInit

          protected void jbInit()

      Overrides:
        `jbInit` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### treeWrap

          protected javax.swing.JComponent treeWrap(ru.bitel.bgbilling.client.common.BGFilterPane splitPane)

      Overrides:
        `treeWrap` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### getDeviceClass

          protected java.lang.Class<InetDevice> getDeviceClass()

      Specified by:
        `getDeviceClass` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### newDevice

          public InetDevice newDevice()

      Specified by:
        `newDevice` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### newDeviceType

          public InetDeviceType newDeviceType(int id,
                                              java.lang.String title)

      Specified by:
        `newDeviceType` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### getWs

          public DeviceService getWs()

      Specified by:
        `getWs` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### getInetDeviceService

          public InetDeviceService getInetDeviceService()

    - #### deviceGet

          public InetDevice deviceGet(int id)
                               throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `deviceGet` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deviceDelete

          public void deviceDelete(int id)
                            throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `deviceDelete` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deviceUpdate

          public int deviceUpdate(InetDevice device)
                           throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `deviceUpdate` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deviceMove

          public void deviceMove(int id,
                                 java.util.Set<java.lang.Integer> cutSet)
                          throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `deviceMove` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deviceSourceRoot

          public InetDevice deviceSourceRoot()
                                      throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `deviceSourceRoot` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### deviceRoot

          public InetDevice deviceRoot(java.lang.String identifier,
                                       java.lang.String host,
                                       java.util.Set<java.lang.Integer> deviceTypeIds,
                                       java.util.Set<java.lang.Integer> deviceGroupIds,
                                       java.util.Date dateFrom,
                                       java.util.Date dateTo,
                                       java.util.Date intersectDateFrom,
                                       java.util.Date intersectDateTo,
                                       java.util.List<FilterEntityAttr> entityFilter)
                                throws ru.bitel.bgbilling.common.BGException

      Overrides:
        `deviceRoot` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getInvDeviceId

          public int getInvDeviceId(InetDevice device)

      Overrides:
        `getInvDeviceId` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### getDeviceTypeClass

          protected java.lang.Class<InetDeviceType> getDeviceTypeClass()

      Specified by:
        `getDeviceTypeClass` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### newMainForm

          protected ru.bitel.bgbilling.client.common.BGUPanel newMainForm(java.util.concurrent.atomic.AtomicReference<InetDevice> currentRef)

      Overrides:
        `newMainForm` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### setFilter

          public void setFilter(java.util.Set<java.lang.Integer> deviceTypeIds,
                                java.util.Set<java.lang.Integer> deviceGroupIds)

    - #### ok

          protected void ok()

      Overrides:
        `ok` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`

    - #### getLoadingStateRoot

          protected InetDevice getLoadingStateRoot()

      Specified by:
        `getLoadingStateRoot` in class `ru.bitel.oss.systems.inventory.resource.client.device.DevicePanel<InetDevice,InetDeviceType>`